%define name download-firefox-extension
%define version 0.0.7
%define unmangled_version 0.0.7
%define unmangled_version 0.0.7
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: A helper to download Firefox extensions without the browser
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: GPLv2+
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
Requires: python-mechanize python-beautifulsoup4
Url: http://github.com/Rudd-O/download-firefox-extension

%description
Download Firefox extension
==========================

This is a small program that, given the URL to a Firefox extension on the
[Firefox Addons site](https://addons.firefox.org/), will download the extension
and validate that the downloaded data matches the advertised cryptographic hash.

Usage:

```
download-firefox-extension https://addons.firefox.org/path/to/extensionpage/
```


%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README.md
